#ifndef ALARMWIDGET_H
#define ALARMWIDGET_H

#include <QWidget>
#include <QLabel>
#include <QPushButton>
#include <QVBoxLayout>
#include <QHBoxLayout>
#include <QFrame>

class AlarmWidget : public QWidget
{
    Q_OBJECT

public:
    explicit AlarmWidget(const QString& vehicle, const QString& group, const QString& sensor,
                         const QString& date, const QString& time, QWidget *parent = nullptr);

private:
    QLabel *createLabel(const QString &text, int minSize = 100, int maxSize = 250);

private:
    QLabel *vehicleLabel;
    QLabel *groupLabel;
    QLabel *sensorLabel;
    QLabel *dateLabel;
    QLabel *timeLabel;
    QPushButton *infoButton;
};

#endif // ALARMWIDGET_H
